//
//  ChimpanzeeGameViewController.h
//  ChimpanzeeGame
//
//  Created by kunii on 08/10/13.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
@class ChimpanzeeExaminer;
@class ChimpanzeeGameAppDelegate;

@interface ChimpanzeeGameViewController : UIViewController {
	int					hCount;								//	ボタンの横の数
	int					vCount;								//	ボタンの縦の数
	UIButton**			buttons;							//	ボタンの総数は横 x 縦
	int*				clickSquence;						//	SEQUENCE_TERMINATORを追加した数とする。
	int					index;								//	現在比較するべき順序。clickSquence[index]として利用。
	int					level;								//	ボタン順序を何個まで出題するか
	int					levelLimit;							//	最大レベル
	double				levelRatio;							//	レベル比率
	ChimpanzeeExaminer*	examiner;							//	試験官
	ChimpanzeeGameAppDelegate*	delegator;
}
- (void)start:(NSString*)message;							//	開始
- (void)setSize:(int)inHCount vCount:(int)inVCount;			//	ボタンの数を設定
- (void)setLevelRatio:(double)inLevelRatio;					//	レベル比率を設定
- (double)getLevelRatio;									//	レベル比率を返す
- (void)setDelegate:(ChimpanzeeGameAppDelegate*)inDelegator;
@end

