//
//  FlipsideAppDelegate.m
//  Flipside
//
//  Created by kunii on 09/01/10.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "FlipsideViewController.h"

@implementation FlipsideViewController

/*
 Implement loadView if you want to create a view hierarchy programmatically
- (void)loadView {
}
 */

/*
 Implement viewDidLoad if you need to do additional setup after loading the view.
- (void)viewDidLoad {
	[super viewDidLoad];
}
 */


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

-(IBAction)levelRatioChange:(id)sender
{
	float level = levelRatioSlider.value;
	[self.view setLevelRatio:level]; 
}

-(IBAction)buttonCountChange:(id)sender
{
	float count = buttonCountSlider.value;
	[self.view setButtonCount:count]; 
}

- (float)getButtonCount					//	ボタンの数を返す
{
	return buttonCountSlider.value;
}
- (float)getLevelRatio					//	レベル比率を返す
{
	return levelRatioSlider.value;	
}

- (void)setButtonCount:(float)inCount			//	ボタンの数を設定
{
	buttonCountSlider.value = inCount; 
	[self.view setButtonCount:inCount]; 
}

- (void)setLevelRatio:(float)inLevelRatio	//	レベル比率を設定
{
	levelRatioSlider.value = inLevelRatio;
	[self.view setLevelRatio:inLevelRatio]; 
}

@end
